Package org.jfree.layouting.renderer.process

## Interface TextAlignmentProcessor

- All Known Implementing Classes:
    `AbstractAlignmentProcessor`, `CenterAlignmentProcessor`, `LeftAlignmentProcessor`, `RightAlignmentProcessor`

      public interface TextAlignmentProcessor

  A general alignment processor.
  Author:
    Thomas Morgner

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `hasNext​()` |
    `void` | `initialize​(InlineSequenceElement[] sequence, long start, long end, PageGrid breaks)` |
    `RenderNode` | `next​()` |

- - ### Method Detail

    - #### initialize

          void initialize​(InlineSequenceElement[] sequence,
                          long start,
                          long end,
                          PageGrid breaks)

    - #### hasNext

          boolean hasNext​()

    - #### next

          RenderNode next​()